VIPW(8)

NAME
vipw, vigr - bearbeitet die Passwort- und die Gruppendatei in den ungeschützten und geschützen Versionen

ÜBERSICHT

vipw [options]

vigr [options]

BESCHREIBUNG

The vipw and vigr commands edit the files /etc/passwd and /etc/group, respectively. With the -s flag, they will edit the shadow versions of those files, /etc/shadow and /etc/gshadow, respectively. The programs will set the appropriate locks to prevent file corruption. When looking for an editor, the programs will first try the environment variable $VISUAL, then the environment variable $EDITOR, and finally the default editor, vi(1).

OPTIONEN

The options which apply to the vipw and vigr commands are:

-g, --group
    bearbeitet die Daten bezüglich Gruppen.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-p, --passwd
    bearbeitet die Daten bezüglich Benutzern.

-q, --quiet
    stiller Modus

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported. No SELINUX support.

-s, --shadow
    bearbeitet die geschützten Dateiversionen.

UMGEBUNGSVARIABLEN

VISUAL
    der zu verwendende Editor

EDITOR
    Editor to be used if VISUAL is not set.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    geschützte Informationen zu den Gruppenkonten

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    geschützte Informationen zu den Benutzerkonten

SIEHE AUCH

vi(1), group(5), gshadow(5) , passwd(5), , shadow(5).